public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/httpx/
Date: Sat, 30 Nov 2024 08:09:17 +0000 (UTC)	[thread overview]
Message-ID: <1732954153.4c9e0d11d3e25310eb49865fa484299598fa2e1c.mgorny@gentoo> (raw)

commit:     4c9e0d11d3e25310eb49865fa484299598fa2e1c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 30 07:29:17 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 30 08:09:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c9e0d11

dev-python/httpx: Bump to 0.28.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/httpx/Manifest            |   1 +
 dev-python/httpx/httpx-0.28.0.ebuild | 106 +++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/dev-python/httpx/Manifest b/dev-python/httpx/Manifest
index a349d2ac8c07..1ed867dd415f 100644
--- a/dev-python/httpx/Manifest
+++ b/dev-python/httpx/Manifest
@@ -1 +1,2 @@
 DIST httpx-0.27.2.gh.tar.gz 2185609 BLAKE2B 7e77cab0e9bda032cd595549e43dfc102f90bb8668b62f6b1f0df6bce6b6358f34aa1f51457a315eb774dde8c76083d180c02ff45283dd348c39b4a659307713 SHA512 c7852ae3e982bacee1587b66aed506f3f7e12caf296e651d3cdd9c111a7d737af49473be455bcabccc8e52487ad18b4821ea56b39500c3b77ed2325fc55505ae
+DIST httpx-0.28.0.gh.tar.gz 4117883 BLAKE2B 0fa645a5767355d4c29d7eedb137c73ddf620ddb7b2b84550f6538fcf9e9900b27bcd91d7177392f6490db3cd6db92e1b7b6ab62e19e97b4a4a8cce0d72c65d9 SHA512 2b3a3a84af81dd130ad574e87369769c8cd76fd40793dd41032e89d2632f25468dcf7ae7279302cd0b3d32dafa9f4c17b7b4c9eae81b5dd7b9fcde1daa26e844

diff --git a/dev-python/httpx/httpx-0.28.0.ebuild b/dev-python/httpx/httpx-0.28.0.ebuild
new file mode 100644
index 000000000000..ce5c39fc1ade
--- /dev/null
+++ b/dev-python/httpx/httpx-0.28.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
+HOMEPAGE="
+	https://www.python-httpx.org/
+	https://github.com/encode/httpx/
+	https://pypi.org/project/httpx/
+"
+SRC_URI="
+	https://github.com/encode/httpx/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+	dev-python/anyio[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	=dev-python/httpcore-1*[${PYTHON_USEDEP}]
+	dev-python/idna[${PYTHON_USEDEP}]
+	cli? (
+		=dev-python/click-8*[${PYTHON_USEDEP}]
+		=dev-python/pygments-2*[${PYTHON_USEDEP}]
+		dev-python/rich[${PYTHON_USEDEP}]
+	)
+"
+# httptools cause tests to fail
+# https://github.com/encode/httpx/discussions/3429
+BDEPEND="
+	dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+	test? (
+		dev-python/brotlicffi[${PYTHON_USEDEP}]
+		dev-python/chardet[${PYTHON_USEDEP}]
+		dev-python/cryptography[${PYTHON_USEDEP}]
+		dev-python/h2[${PYTHON_USEDEP}]
+		dev-python/socksio[${PYTHON_USEDEP}]
+		dev-python/trustme[${PYTHON_USEDEP}]
+		dev-python/typing-extensions[${PYTHON_USEDEP}]
+		dev-python/uvicorn[${PYTHON_USEDEP}]
+		>=dev-python/zstandard-0.18.0[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep '
+			dev-python/trio[${PYTHON_USEDEP}]
+		' 3.{10..13})
+		!!dev-python/httptools[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	local PATCHES=(
+		"${FILESDIR}/${PN}-0.27.0-opt-trio.patch"
+	)
+
+	if ! use cli; then
+		sed -i -e '/^httpx =/d' pyproject.toml || die
+	fi
+	sed -i -e '/rich/s:,<14::' pyproject.toml || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local args=()
+	local EPYTEST_DESELECT=(
+		# Internet
+		tests/client/test_proxies.py::test_async_proxy_close
+		tests/client/test_proxies.py::test_sync_proxy_close
+	)
+
+	if [[ ${EPYTHON} == pypy3 ]]; then
+		EPYTEST_DESELECT+=(
+			# https://github.com/encode/httpx/discussions/3430
+			# https://github.com/pypy/pypy/issues/5141
+			tests/test_config.py::test_load_ssl_with_keylog
+		)
+	fi
+
+	use cli || EPYTEST_IGNORE+=(
+		tests/test_main.py
+	)
+
+	if ! has_version "dev-python/trio[${PYTHON_USEDEP}]"; then
+		args+=( -o filterwarnings= -k "not trio" )
+	fi
+
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	epytest -p anyio "${args[@]}"
+}
+
+pkg_postinst() {
+	optfeature "HTTP/2 support" dev-python/h2
+	optfeature "SOCKS proxy support" dev-python/socksio
+	optfeature "Decoding for brotli compressed responses" dev-python/brotlicffi
+}


             reply	other threads:[~2024-11-30  8:09 UTC|newest]

Thread overview: 106+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-30  8:09 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-05 13:24 [gentoo-commits] repo/gentoo:master commit in: dev-python/httpx/ Michał Górny
2024-12-21 11:31 Michał Górny
2024-12-07  7:07 Michał Górny
2024-09-28 12:04 Michał Górny
2024-09-28 11:41 Sam James
2024-08-28  3:43 Michał Górny
2024-06-14 15:55 Michał Górny
2024-03-07 16:15 Michał Górny
2024-03-07 16:10 Michał Górny
2024-02-22  5:38 Michał Górny
2024-01-06 10:55 Michał Górny
2024-01-06  9:54 Michał Górny
2023-12-20 15:29 Michał Górny
2023-12-09 13:56 Michał Górny
2023-12-09 13:52 Michał Górny
2023-11-24 13:42 Michał Górny
2023-11-12  3:59 Michał Górny
2023-11-11 22:41 Sam James
2023-11-03 18:35 Michał Górny
2023-10-26 19:45 Michał Górny
2023-10-06 18:12 Michał Górny
2023-10-06 15:14 Sam James
2023-09-12  5:50 Michał Górny
2023-06-18 18:47 Michał Górny
2023-06-18 17:47 Arthur Zamarin
2023-05-30 19:50 Michał Górny
2023-05-30 19:50 Michał Górny
2023-05-19  4:03 Michał Górny
2023-05-13 10:45 Arthur Zamarin
2023-04-11 17:25 Michał Górny
2023-02-13  3:22 Matt Turner
2023-01-28  8:03 Michał Górny
2023-01-28  7:40 Sam James
2023-01-07  4:54 Michał Górny
2023-01-04 14:15 Michał Górny
2023-01-02 14:54 Michał Górny
2022-12-10  8:59 Arthur Zamarin
2022-11-26 15:25 Michał Górny
2022-11-26 15:25 Michał Górny
2022-11-19  9:42 Michał Górny
2022-06-23  8:17 Michał Górny
2022-06-22 11:36 Jakov Smolić
2022-05-24  6:16 Michał Górny
2022-05-15 11:11 Michał Górny
2022-05-15 11:10 Michał Górny
2022-05-15  8:04 Michał Górny
2022-05-11 12:56 Jakov Smolić
2022-05-01  1:52 WANG Xuerui
2022-04-08 14:23 Arthur Zamarin
2022-04-08 11:09 Michał Górny
2022-04-01 12:27 Michał Górny
2022-03-16  8:00 Michał Górny
2022-02-27 12:23 Jakov Smolić
2022-02-05 16:51 Arthur Zamarin
2022-02-01 13:46 Michał Górny
2022-01-27 23:05 Michał Górny
2022-01-27 19:05 Sam James
2022-01-26 18:20 Arthur Zamarin
2022-01-22  6:08 Arthur Zamarin
2022-01-22  6:08 Arthur Zamarin
2022-01-21 20:04 Arthur Zamarin
2022-01-21 12:42 Sam James
2022-01-20 18:51 Sam James
2022-01-20 13:08 Jakov Smolić
2022-01-20 13:08 Jakov Smolić
2022-01-06 18:46 Arthur Zamarin
2021-12-22  9:36 Arthur Zamarin
2021-12-21 21:06 Arthur Zamarin
2021-12-21 21:06 Arthur Zamarin
2021-12-21 20:33 Arthur Zamarin
2021-12-21 20:33 Arthur Zamarin
2021-12-21 11:41 Arthur Zamarin
2021-12-21  9:42 Michał Górny
2021-12-20 23:10 Michał Górny
2021-12-04  8:54 Arthur Zamarin
2021-12-04  8:54 Arthur Zamarin
2021-11-24 23:59 Sam James
2021-09-18 17:18 Sam James
2021-08-19 21:53 Michał Górny
2021-08-07 15:07 Michał Górny
2021-08-07 15:03 Sam James
2021-08-06  7:33 Agostino Sarubbo
2021-08-06  7:32 Agostino Sarubbo
2021-08-05 18:53 Louis Sautier
2021-07-31  6:23 Sam James
2021-07-26  7:03 Michał Górny
2021-07-26  3:07 Sam James
2021-07-26  2:27 Sam James
2021-07-26  2:14 Sam James
2021-07-26  2:14 Sam James
2021-07-26  1:30 Sam James
2021-07-25  1:04 Sam James
2021-06-19 12:01 Michał Górny
2021-06-18  7:06 Andrew Ammerlaan
2021-06-17 19:47 Michał Górny
2021-05-18 17:28 Sam James
2021-05-15 19:28 Sam James
2021-05-15  2:23 Sam James
2021-05-15  1:55 Sam James
2021-04-29 19:56 Michał Górny
2021-04-28  8:16 Michał Górny
2021-03-15 21:44 Michał Górny
2021-02-28 18:20 Michał Górny
2021-02-26 14:26 Sam James
2021-02-24  0:06 Louis Sautier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1732954153.4c9e0d11d3e25310eb49865fa484299598fa2e1c.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox